%global __brp_check_rpaths %{nil}
%global packname  multfisher
%global packver   1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.1
Release:          3%{?dist}%{?buildtag}
Summary:          Optimal Exact Tests for Multiple Binary Endpoints

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.0.0
Requires:         R-core >= 3.0.0
BuildArch:        noarch
BuildRequires:    R-stats 
Requires:         R-stats 

%description
Calculates exact hypothesis tests to compare a treatment and a reference
group with respect to multiple binary endpoints. The tested null
hypothesis is an identical multidimensional distribution of successes and
failures in both groups. The alternative hypothesis is a larger success
proportion in the treatment group in at least one endpoint. The tests are
based on the multivariate permutation distribution of subjects between the
two groups. For this permutation distribution, rejection regions are
calculated that satisfy one of different possible optimization criteria.
In particular, regions with maximal exhaustion of the nominal significance
level, maximal power under a specified alternative or maximal number of
elements can be found. Optimization is achieved by a branch-and-bound
algorithm. By application of the closed testing principle, the global
hypothesis tests are extended to multiple testing procedures.

%prep
%setup -q -c -n %{packname}


%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}

test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%files
%{rlibdir}/%{packname}
